Subject: [TLS] draft-mcgrew-tls-aes-ccm-01

From: David McGrew <[email-masked]>
Date: Mon, 14 Mar 2011 08:24:16 -0700

Hi Eric and Joe and TLS WG members,

I have submitted an updated version of raft-mcgrew-tls-aes-ccm.  There  
are only minor editorial changes since the initial version, which was  
presented in Maastricht, so there is no need to present an update in  
Prague.

I would like to as the WG to take on this work as a standards track  
item.  It would need to be coordinated with draft-mcgrew-tls-aes-ccm- 
ecc, which Matt will be presenting in Prague.  Here is a quick rundown  
on the similarities and differences.  Both drafts use AES-CCM for TLS  
1.2, and they use it in the same way.  They differ only in key  
management and authentication.  draft-mcgrew-tls-aes-ccm defines PSK  
and RSA ciphersuites.  draft-mcgrew-tls-aes-ccm-ecc defines ECC  
ciphersuites.  Both drafts define the same AEAD algorithms;  
eventually, this copy-by-value should be replaced with a copy-by- 
reference.

Comments welcome.

regards,

David

Begin forwarded message:

> From: IETF I-D Submission Tool <[email-masked]>
> Date: March 14, 2011 8:08:30 AM PDT
> To: [email-masked]
> Cc: [email-masked]
> Subject: New Version Notification for draft-mcgrew-tls-aes-ccm-01
>
>
> A new version of I-D, draft-mcgrew-tls-aes-ccm-01.txt has been  
> successfully submitted by David McGrew and posted to the IETF  
> repository.
>
> Filename:	 draft-mcgrew-tls-aes-ccm
> Revision:	 01
> Title:		 AES-CCM Cipher Suites for TLS
> Creation_date:	 2011-03-14
> WG ID:		 Independent Submission
> Number_of_pages: 8
>
> Abstract:
> This memo describes the use of the Advanced Encryption Standard (AES)
> in the Counter and CBC-MAC Mode (CCM) of operation within Transport
> Layer Security (TLS) to provide confidentiality and data origin
> authentication.  The AES-CCM algorithm is amenable to compact
> implementations, making it suitable for constrained environments.
>
>
>
> The IETF Secretariat.
>
>